## python-digitalocean 1.11

=== requirements.txt ===
requests>=2.2.1

# Testing requirements
pytest
responses

=== debian/changelog ===
python-digitalocean (1.11-1) unstable; urgency=medium

  * Initial release (Closes: #864608).

 -- Andrew Starr-Bochicchio <asb@debian.org>  Mon, 19 Jun 2017 20:28:28 -0400

=== debian/control ===
Source: python-digitalocean
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python-all (>= 2.6.6-3~),
               python3-all,
               python-setuptools,
               python3-setuptools,
               python-pytest,
               python3-pytest,
               python-responses,
               python3-responses,
               python-docutils,
               python-sphinx
Standards-Version: 4.0.0
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: https://github.com/koalalorenzo/python-digitalocean
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-digitalocean.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-digitalocean.git

Package: python-digitalocean
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python bindings for the DigitalOcean API (Python 2)
 python-digitalocean provides Python bindings for the DigitalOcean API allowing
 you to access and perform actions on DigitalOcean resources such Droplets
 (virtual machinces), Images, Volumes, Load Balancers, and more.
 .
 This package installs the library for Python 2.

Package: python3-digitalocean
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python bindings for the DigitalOcean API (Python 3)
 python-digitalocean provides Python bindings for the DigitalOcean API allowing
 you to access and perform actions on DigitalOcean resources such Droplets
 (virtual machinces), Images, Volumes, Load Balancers, and more.
 .
 This package installs the library for Python 3.

Package: python-digitalocean-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: Python bindings for the DigitalOcean API (common documentation)
 python-digitalocean provides Python bindings for the DigitalOcean API allowing
 you to access and perform actions on DigitalOcean resources such Droplets
 (virtual machinces), Images, Volumes, Load Balancers, and more.
 .
 This is the common documentation package.

## python-digitalocean 1.13.2

=== requirements.txt ===
requests>=2.2.1
jsonpickle

# Testing requirements
pytest
responses

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = PythonDigitalocean
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-digitalocean (1.13.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Andrew Starr-Bochicchio ]
  * New upstream release. 
  * Depend on python{3}-jsonpickle. 
  * Bump Standards-Version to 4.1.3, no changes. 

 -- Andrew Starr-Bochicchio <asb@debian.org>  Wed, 14 Mar 2018 23:02:49 -0400

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,15 @@
                python-responses,
                python3-responses,
                python-docutils,
-               python-sphinx
-Standards-Version: 4.0.0
+               python-sphinx,
+               python-jsonpickle,
+               python3-jsonpickle
+Standards-Version: 4.1.3
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: https://github.com/koalalorenzo/python-digitalocean
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-digitalocean.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-digitalocean.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-digitalocean.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-digitalocean
 
 Package: python-digitalocean
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME = digitalocean
export PYBUILD_TEST_PYTEST = 1
export PYBUILD_BEFORE_TEST=cp -r {dir}/digitalocean/tests {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/digitalocean/tests

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build
	rm -rf *.egg-info

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. sphinx-build -N -bhtml docs/ build/html

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-digitalocean-$1\.tar\.gz/ \
  https://github.com/koalalorenzo/python-digitalocean/tags .*/v?(\d\S*)\.tar\.gz

## python-digitalocean 1.16.0

=== Makefile ===
clean:
	rm -rf build 
	rm -rf dist 
	rm -rf python_digitalocean.egg-info 
	rm -rf .pytest_cache
.PHONY: clean

dist:
	python setup.py sdist bdist_wheel

publish: dist
	twine upload dist/*
.PHONY: publish

publish_deps:
	python -m pip install --upgrade pip
	pip install setuptools wheel twine
.PHONY: publish_deps

deps:
	pip install -U -r requirements.txt
.PHONY: deps

test:
	python -m pytest
.PHONY: test

=== requirements.txt ===
requests>=2.2.1
jsonpickle

# Testing requirements
pytest
responses
mock; python_version < '3.3'

=== debian/changelog ===
python-digitalocean (1.16.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on python3-requests.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 14 Oct 2022 12:17:32 +0100

python-digitalocean (1.16.0-2) unstable; urgency=medium

  * Set upstream metadata fields: Bug-Submit.

 -- Debian Janitor <janitor@jelmer.uk>  Thu, 26 May 2022 19:18:01 +0100

python-digitalocean (1.16.0-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python-digitalocean-doc: Add Multi-Arch: foreign.

  [ Harlan Lieberman-Berg ]
  * New upstream version 1.16.0
  * Add dependency on python3-requests
  * Bump S-V; add R-R-R and bump dh to match
  * Fix minor spelling error in package Description
  * Bump watch file version
  * Add doc-base for python-digitalocean-doc

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 21 Aug 2021 18:57:28 -0400

python-digitalocean (1.13.2-2) unstable; urgency=medium

  * Team upload.
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.
  * Use Python 3 for building docs.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Fri, 26 Jul 2019 21:36:53 +0200

=== debian/control ===
Source: python-digitalocean
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Andrew Starr-Bochicchio <asb@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-pytest,
               python3-requests,
               python3-responses,
               python3-sphinx,
               python3-jsonpickle
Standards-Version: 4.6.0
Homepage: https://github.com/koalalorenzo/python-digitalocean
Vcs-Git: https://salsa.debian.org/python-team/packages/python-digitalocean.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-digitalocean
Rules-Requires-Root: no

Package: python3-digitalocean
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python bindings for the DigitalOcean API (Python 3)
 python-digitalocean provides Python bindings for the DigitalOcean API allowing
 you to access and perform actions on DigitalOcean resources such Droplets
 (virtual machines), Images, Volumes, Load Balancers, and more.
 .
 This package installs the library for Python 3.

Package: python-digitalocean-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Python bindings for the DigitalOcean API (common documentation)
 python-digitalocean provides Python bindings for the DigitalOcean API allowing
 you to access and perform actions on DigitalOcean resources such Droplets
 (virtual machines), Images, Volumes, Load Balancers, and more.
 .
 This is the common documentation package.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-digitalocean-$1\.tar\.gz/ \
  https://github.com/koalalorenzo/python-digitalocean/tags .*/v?(\d\S*)\.tar\.gz
